# Get offer pool

| HTTP method | Endpoint             |
| ----------- | -------------------- |
| **GET**     | **/v1/offer\_pools** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters   | Type    | Description                                                                                                                                                               |
| ---------- | ------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset       | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit        | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort         | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters      | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |              |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields       | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id           | integer | The unique id for the offer pool.                                                                                                                                         |
|            | name         | string  | Offer pool name.                                                                                                                                                          |
|            | status       | string  | The offer pool status.                                                                                                                                                    |
|            | note         | string  | The offer pool note.                                                                                                                                                      |
|            | create\_time | integer | Create time.                                                                                                                                                              |
|            | update\_time | integer | Update time.                                                                                                                                                              |

## Response body parameters <a href="#response-body-parameters-3" id="response-body-parameters-3"></a>

| Field        | Type    | Description                                                                                                        |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id           | integer | The unique id for the offer pool.                                                                                  |
| name         | string  | Offer pool name.                                                                                                   |
| status       | string  | The offer pool status.                                                                                             |
| note         | string  | The offer pool note.                                                                                               |
| create\_time | integer | Create time.                                                                                                       |
| update\_time | integer | Update time.                                                                                                       |
| totalPages   | integer | The list of data pages (associated with your limit).                                                               |
| totalRows    | integer | Total number of available data.                                                                                    |
| offset       | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit        | integer | The number of data displayed on one page.                                                                          |

## Example request <a href="#example-request-3" id="example-request-3"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offer_pools?sort=+id&limit=8&fields=id,name,status&filters[id][LESS_THAN]=10>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offer_pools?sort=+id&limit=8&fields=id,name,status&filters[id][LESS_THAN]=10>

## Example response <a href="#example-response-3" id="example-response-3"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 1,
            "name": "art",
            "status": "active"
          },
          {
            "id": 2,
            "name": "test",
            "status": "active"
          },
          {
            "id": 3,
            "name": "demo",
            "status": "active"
          },
          {
            "id": 4,
            "name": "redirect",
            "status": "active"
          },
          {
            "id": 5,
            "name": "red",
            "status": "active"
          },
          {
            "id": 6,
            "name": "tiger",
            "status": "active"
          },
          {
            "id": 7,
            "name": "Test",
            "status": "active"
          },
          {
            "id": 8,
            "name": "Test Demo",
            "status": "active"
          }
        ],
        "totalPages": 1,
        "totalRows": 8,
        "offset": 1,
        "limit": 8
      }
    }
```
